class SveaSolarError(Exception):
    """A base error."""

    pass


class HttpError(SveaSolarError):
    """An error related to generic websocket errors."""

    pass


class AuthenticationError(HttpError):
    """An error related to authentication."""

    pass


class WebsocketError(SveaSolarError):
    """An error related to generic websocket errors."""

    pass


class ConnectionClosedError(WebsocketError):
    """Define a error when the websocket closes unexpectedly."""

    pass


class ConnectionFailedError(WebsocketError):
    """Define a error when the websocket connection fails."""

    pass


class CannotConnectError(WebsocketError):
    """Define a error when the websocket can't be connected to."""

    pass


class InvalidMessageError(WebsocketError):
    """Define a error related to an invalid message from the websocket server."""

    pass
